#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n, k, i, a, j = 0;

    cin >> n >> k;

    long niz[n];
    long nz[n - k];

    for(i = 0; i < n; i ++)
    {
        cin >> a;
        niz[i] = a;
    }

    for(i = 0; i < n; i ++)
    {
        if(k)
        {
            if(niz[i] == 0)
            {
                nz[j] = niz[i];
                j ++;
            }
            else
                k -= 1;
        }
        else
        {
            nz[j] = niz[i];
            j ++;
        }
    }

    for(i = 0; i < j; i ++)
        cout << nz[i] << " ";

    return 0;
}